import { t, Trans } from '@lingui/macro';
import { useLingui } from '@lingui/react';
import { Button, Result } from 'antd';
import { useNavigate } from 'react-router-dom';

export default function () {
  const { i18n } = useLingui();
  const navigate = useNavigate();

  return (
    <Result
      status="404"
      title="401"
      subTitle={t(i18n)`Unauthenticated.`}
      extra={
        <Button type="primary" onClick={() => navigate('/invoice')}>
          <Trans>Try Again</Trans>
        </Button>
      }
    />
  );
}
